Jala 1.3

## Class jala.Form.Component.Radio

    Object
       |
       +--jala.Form.Component.Input
             |
             +--jala.Form.Component.Select
                   |
                   +--jala.Form.Component.Radio

class jala.Form.Component.Radio
extends jala.Form.Component.Select

Subclass of jala.Form.Component.Input which renders and validates a set of radio buttons.
Defined in Form.js

Constructor Summary
`jala.Form.Component.Radio (<String> name)` Creates a new Radio component instance

Method Summary
`String` | `checkRequirements(<Object> reqData)` Validates user input from a set of radio buttons and makes sure that option value list contains the user input.
`void` | `renderControls(<Object> attr, <Object> value)` Renders a set of radio buttons to the response.

Methods inherited from class jala.Form.Component.Select
`parseOptions, checkOptions`

Methods inherited from class jala.Form.Component.Input
`validate, save, getValue, setValue, render, renderError, renderLabel, renderHelp, render_macro, controls_macro, error_macro, label_macro, help_macro, id_macro, name_macro, type_macro, class_macro, getControlAttributes, checkLength, parseValue`

Constructor Detail

### jala.Form.Component.Radio

    jala.Form.Component.Radio(<String> name)

Creates a new Radio component instance

Parameters:

`name` - Name of the component, used as name of the html controls.

Returns:

A newly created Radio component

Method Detail

### checkRequirements

    String checkRequirements(<Object> reqData)

Validates user input from a set of radio buttons and makes sure that option value list contains the user input.

Parameters:

`reqData` - request data

Returns:

null if everything is ok or string containing error message

See:

- jala.Form.Component.Select.checkOptions()

### renderControls

    void renderControls(<Object> attr, <Object> value)

Renders a set of radio buttons to the response.

Parameters:

`attr` - Basic attributes for this element.

`value` - Value to be used for rendering this element.

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008